package com.fr.plugin.tabledata.build;

import com.fr.data.impl.Connection;
import com.fr.data.impl.DBTableData;
import com.fr.general.DateUtils;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLableReader;

import java.util.Date;

/**
 * @author rinoux
 * @version 10.0
 * Created by rinoux on 2020/10/23
 */
public class DemoTableData extends DBTableData {

    private static final String DemoTag = "LastUpdateDataTime";


    private String lastUpdateDataTime;

    public DemoTableData() {
    }

    public DemoTableData(String driver, String url, String user, String password, String query) {
        super(driver, url, user, password, query);
    }

    public DemoTableData(Connection database, String query) {
        super(database, query);
    }

    public String getLastUpdateDataTime() {
        return lastUpdateDataTime;
    }

    public void setLastUpdateDataTime(String lastUpdateDataTime) {
        this.lastUpdateDataTime = lastUpdateDataTime;
    }

    @Override
    public void readXML(XMLableReader reader) {
        super.readXML(reader);
        if (reader.isChildNode()) {
            String tagName = reader.getTagName();
            if (DemoTag.equals(tagName)) {
                setLastUpdateDataTime(reader.getElementValue());
            }
        }
    }

    @Override
    public void writeXML(XMLPrintWriter writer) {
        super.writeXML(writer);
        writer.startTAG(DemoTag);
        writer.textNode(DateUtils.DATETIMEFORMAT2.format(new Date()));
        writer.end();
    }
}
